Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.gesture
Class NativeGestureEvent

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.NativeEvent
              com.maryanovsky.gwtutils.client.iphone.ui.gesture.NativeGestureEvent

    public class NativeGestureEvent

extends NativeEvent

A JavaScript overlay type for native gesture events.

Author:
  Maryanovsky Alexander

Field Summary

Fields inherited from class com.google.gwt.dom.client.NativeEvent
`BUTTON_LEFT, BUTTON_MIDDLE, BUTTON_RIGHT`

Constructor Summary
`protected` | `NativeGestureEvent()` Protected constructor, required for JavaScript overlay types.

Method Summary
`double` | `getRotation()` Returns the rotation induced by this event, in degrees, where clockwise rotation is represented by a positive value and counter-clockwise by a negative value.
`double` | `getScale()` Returns the scale change induced by this event.

Methods inherited from class com.google.gwt.dom.client.NativeEvent
`getAltKey, getButton, getClientX, getClientY, getCtrlKey, getCurrentEventTarget, getEventTarget, getKeyCode, getMetaKey, getMouseWheelVelocityY, getRelatedEventTarget, getScreenX, getScreenY, getShiftKey, getString, getType, preventDefault, stopPropagation`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NativeGestureEvent

    protected NativeGestureEvent()

  Protected constructor, required for JavaScript overlay types.

Method Detail

### getRotation

    public final double getRotation()

  Returns the rotation induced by this event, in degrees, where clockwise rotation is represented by a positive value and counter-clockwise by a negative value.

### getScale

    public final double getScale()

  Returns the scale change induced by this event. The value returned represents the distance between the two finger, as a fraction of the initial distance. This way, a value greater than 1.0 represents a zoom-in gesture, while a value smaller than 1.0, a zoom-out gesture.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD